#ifndef __ROTCTRL__
#define __ROTCTRL__


#define MAX_WND 255

#define ROT_Y ((95 * RAND_MAX) / 100)
#define ROT_X ((90 * RAND_MAX) / 100)
#define REBONDIT ((85 * RAND_MAX) / 100)

class CRotCtrl
{
public  :
    CRotCtrl( HWND hwnd);
    ~CRotCtrl();

    void OnCreate(LPCREATESTRUCT lpCreateStruct); 
    void OnPaint(); 
    void PostNcDestroy(); 
    void OnSize(int cx, int cy); 
    void OnSetCursor(); 
    BOOL IsWindow( HWND h){ return m_hWnd == h; }
    
    static BOOL RegisterWndClass(HINSTANCE hInstance);
    static long RotWinThread(LPVOID lpvRotCtrl);
    static long FAR PASCAL RotWndProc( HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam );
    static int GetNumWindow( HWND hwnd );

    
    BOOL fClose;
    BOOL bPremier;
    BOOL fPaint;
    BOOL fRotate;
    BOOL fFirstRotate;
    int  nRotate;
    int  nTailleX;
    int  nTailleY;
    char aResource[255];

    HWND m_hWnd;
    static HINSTANCE hinstDLL;
};






#endif  /*  __ROTCTRL__ */