#include "sprite.h"
#ifndef TSpRot
#define TSpRot
class TSpriteRot : public TSprite          
	{
	public :
		// Constructeurs ...
		TSpriteRot( HINSTANCE hInst = NULL, char *aRes = IMAGE, 
            int nbOrient= NB_ORIENT, int nbCouche = NB_COUCHE );
		~TSpriteRot();
        void Create( HINSTANCE hInst, char *Res, 
            int nbOrient, int nbCouche );

		// initialisateurs
		void SetEchelleX( int xEch ) { Echelle_X = xEch; }
		void SetEchelleY( int yEch ) { Echelle_Y = yEch; }
		void SetEchelleXY( int xyEch ) { SetEchelleX(xyEch); SetEchelleY(xyEch);}

		// Affichage
		void Affiche( HDC, HDC, HDC );

	protected :
		// Optimisation de l'affichage
		void CombineFondImage4();
		void CombineFondImage8();
		void CombineFondImage16();
		void CombineFondImage24();
		void CombineFondImage32();
        void CombineFondImage32Asm();
        void ( TSpriteRot::*ptCombineFondImage)();
		unsigned char * aBmpAffiche;
		unsigned char * aBmpFond;
		HBITMAP hBmpFond;
		HBITMAP hBmpAffiche;
		BOOL bPremier;

		// Echelles en x et y
		int Echelle_X;
		int Echelle_Y;
	};
#endif
#pragma hdrstop
