#include <windows.h>
#include "scrspte.h"
#include "random.h"

/*------------------------------------------------------------------------*/
HBITMAP * TScreenSprite::s_ahBmp = NULL;
/*------------------------------------------------------------------------*/


/*------------------------------------------------------------------------*/
void TScreenSprite::LoadBitmap( HBITMAP * & ahbitmap, char * aRessource )
{
    if( ! nSprites )    TSprite::LoadBitmap( s_ahBmp, aRessource );
    ahbitmap = s_ahBmp;
}


/*------------------------------------------------------------------------*/
void TScreenSprite::DeleteObject( HBITMAP * & /*ahbitmap*/ )
{
    if( ! nSprites )    TSprite::DeleteObject( s_ahBmp );
}


/*------------------------------------------------------------------------*/
void TScreenSprite::Change()
{
    int nPosPos = 1;
    // On choisit une position au hasard
    Couche = ( Couche + 1 ) % nCouche;
    if( Couche == 0 )
	nPosPos = random( NB_ORIENT_POS );
    Orient = ( (nOrient - 1) + nPosPos  + Orient ) % nOrient;
    Avance( Orient );
}
