#ifndef __TSCREENSPRITE__
#define __TSCREENSPRITE__

#define NB_ORIENT_POS   3
#include "SpRot.h"


class TScreenSprite : public TSpriteRot
{
public :
	TScreenSprite ( HINSTANCE hInst = NULL, char * aRessource = IMAGE, 
                        int nbOrient= NB_ORIENT, int nbCouche = NB_COUCHE ) :
	        TSpriteRot( hInst, aRessource, nbOrient, nbCouche ) {}
    void Change();

private :
    // Surcharge qui evite de charger n fois les memes images
    void LoadBitmap( HBITMAP * & ahbitmap, char * aRes );
    void DeleteObject( HBITMAP * & ahbitmap );
    static HBITMAP * s_ahBmp;

};
#endif /*__TSCREENSPRITE__*/